WLAN Treiber für Intel Dual Band Wireless AC 3165

Einrichten des lokalen Netzes, Verbindung zu anderen Computern und Diensten.
Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 16.05.2016 23:30:11

Hallo,

auf meinem Debian System läuft leider kein WLAN. Ich hab ein HP Probook 440 G3.
Es ist ein Intel Dual Band Wireless AC 3165 Chip verbaut.Den Treiber gibt es hier.

Ich bin nach dieser Anleitung vorgegangen. Leider ohne Erfolg.

Kann mir hier jemand weiterhelfen?

MFG
Lenny!

rendegast
Beiträge: 14293
Registriert: 27.02.2006 16:50:33
Lizenz eigener Beiträge: MIT Lizenz

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von rendegast » 17.05.2016 00:48:08

Code: Alles auswählen

$ cat /usr/share/misc/pci.ids | grep -i "AC.*3165" -B2
        3165  Wireless 3165
# Stone Peak 1x1
                8086 4010  Dual Band Wireless AC 3165
# Stone Peak 1x1
                8086 4210  Dual Band Wireless AC 3165
# Stone Peak 1x1
        3166  Intel Dual Band Wireless-AC 3165 Plus Bluetooth
->

Code: Alles auswählen

$ /sbin/modprobe -c | egrep "8086.*316[56]"
alias pci:v00008086d00003165sv*sd00004010bc*sc*i* iwlwifi
alias pci:v00008086d00003165sv*sd00004012bc*sc*i* iwlwifi
alias pci:v00008086d00003165sv*sd00004110bc*sc*i* iwlwifi
alias pci:v00008086d00003165sv*sd00004410bc*sc*i* iwlwifi
alias pci:v00008086d00003165sv*sd00004510bc*sc*i* iwlwifi
alias pci:v00008086d00003165sv*sd00008010bc*sc*i* iwlwifi
alias pci:v00008086d00003165sv*sd00008110bc*sc*i* iwlwifi
alias pci:v00008086d00003166sv*sd00004210bc*sc*i* iwlwifi
alias pci:v00008086d00003166sv*sd00004212bc*sc*i* iwlwifi
alias pci:v00008086d00003166sv*sd00004310bc*sc*i* iwlwifi
Also Modul iwlwifi
-> Debianfirmware-iwlwifi (eventuell aus jessie-backports).

Eventuell kernel jessie-backports.
mfg rendegast
-----------------------
Viel Eifer, viel Irrtum; weniger Eifer, weniger Irrtum; kein Eifer, kein Irrtum.
(Lin Yutang "Moment in Peking")

Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 17.05.2016 12:37:41

Habe jessie-backports in die sources.list mit aufgenommen. Installation funktionierte jedoch
habe ich immneroch kein Wlan modul zur verfügung (weder gui noch ifconfig).

Code: Alles auswählen

root@debian:/home/user11# apt-get install firmware-iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden NEUEN Pakete werden installiert:
  firmware-iwlwifi
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen 3.956 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 28,0 MB Plattenplatz zusätzlich benutzt.
Holen: 1 http://http.debian.net/debian/ jessie-backports/non-free firmware-iwlwifi all 20160110-1~bpo8+1 [3.956 kB]
Es wurden 3.956 kB in 0 s geholt (8.134 kB/s).
Vormals nicht ausgewähltes Paket firmware-iwlwifi wird gewählt.
(Lese Datenbank ... 137503 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../firmware-iwlwifi_20160110-1~bpo8+1_all.deb ...
Entpacken von firmware-iwlwifi (20160110-1~bpo8+1) ...
firmware-iwlwifi (20160110-1~bpo8+1) wird eingerichtet ...
root@debian:/home/medemirt# 
Lenny!

Benutzeravatar
towo
Beiträge: 3075
Registriert: 27.02.2007 19:49:44
Lizenz eigener Beiträge: GNU Free Documentation License

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von towo » 17.05.2016 14:00:00

Du hast natürlich das System neu gestartet, oder zumindest das Modul entladen und wieder geladen, nachdem Du die Firmware installiert hast?
Mal abgesehen davon könnte es auch sein, daß Du den Kernel aus Backports brauchst.

Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 17.05.2016 14:57:54

Ja das habe ich. Wie stelle ich das genau an? Ich habe jessie-backports in die sources-list mit aufgenommen.
Lenny!

Benutzeravatar
towo
Beiträge: 3075
Registriert: 27.02.2007 19:49:44
Lizenz eigener Beiträge: GNU Free Documentation License

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von towo » 17.05.2016 14:59:13

Xpl0iT hat geschrieben:Ja das habe ich. Wie stelle ich das genau an? Ich habe jessie-backports in die sources-list mit aufgenommen.

Code: Alles auswählen

apt -t jessie-backports install linux-image-amd64
?

Und btw, wenn etwas nicht funktioniert, wäre es dann schon hilfreich, entsprechende Einträge aus den Logfiles zu posten.

Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 17.05.2016 21:21:39

Folgendes Szenario. Wegen einem anderen Problem habe ich Debian aus einer Live-Image neu installiert. Bin nun Folgendermaßen vorgegangen.

Code: Alles auswählen

root@debian:/home/medemirt# apt-get install firmware-iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Package firmware-iwlwifi is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'firmware-iwlwifi' has no installation candidate
root@debian:/home/medemirt# 
Daraufhin

Code: Alles auswählen

deb http://ftp.debian.org/debian jessie-backports main
der sources.list hinzugefügt.

folgendes durchgeführt:

Code: Alles auswählen

apt-get update
apt-get upgrade
Daraufhin:

Code: Alles auswählen

root@debian:/home/medemirt# apt-get install firmware-iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Package firmware-iwlwifi is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'firmware-iwlwifi' has no installation candidate
Darauf folgte:

Code: Alles auswählen

medemirt@debian:~$ apt -t jessie-backports install linux-image-amd64
E: Sperrdatei /var/lib/dpkg/lock konnte nicht geöffnet werden. - open (13: Keine Berechtigung)
E: Sperren des Administrationsverzeichnisses (/var/lib/dpkg/) nicht möglich, sind Sie root?
medemirt@debian:~$ su root
Passwort: 
root@debian:/home/medemirt# apt -t jessie-backports install linux-image-amd64
Paketlisten werden gelesen... Fertig
E: Der Wert »jessie-backports« ist für APT::Default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
root@debian:/home/medemirt# gedit

(gedit:2033): dconf-WARNING **: failed to commit changes to dconf: Verbindung ist geschlossen

(gedit:2033): dconf-WARNING **: failed to commit changes to dconf: Verbindung ist geschlossen
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
^C
root@debian:/home/medemirt# apt-get install iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
E: Paket iwlwifi kann nicht gefunden werden.
root@debian:/home/medemirt# apt-get install firmware-iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Package firmware-iwlwifi is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'firmware-iwlwifi' has no installation candidate
root@debian:/home/medemirt# gedit

(gedit:2093): dconf-WARNING **: failed to commit changes to dconf: Verbindung ist geschlossen

(gedit:2093): dconf-WARNING **: failed to commit changes to dconf: Verbindung ist geschlossen
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)
Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)

(gedit:2093): dconf-WARNING **: failed to commit changes to dconf: Verbindung ist geschlossen

** (gedit:2093): WARNING **: Set document metadata failed: Setzen des Attributs metadata::gedit-spell-language nicht unterstützt

** (gedit:2093): WARNING **: Set document metadata failed: Setzen des Attributs metadata::gedit-encoding nicht unterstützt
^C
root@debian:/home/medemirt# apt-get update
Ign cdrom://[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02] jessie InRelease
Ign cdrom://[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02] jessie Release.gpg
Ign cdrom://[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02] jessie Release
Ign cdrom://[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02] jessie/main amd64 Packages/DiffIndex
Ign cdrom://[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02] jessie/main Translation-de_DE
Ign cdrom://[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02] jessie/main Translation-de
Ign cdrom://[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02] jessie/main Translation-en
OK   http://security.debian.org jessie/updates InRelease                       
Ign http://ftp.de.debian.org jessie InRelease                                  
OK   http://ftp.de.debian.org jessie-updates InRelease                         
OK   http://ftp.de.debian.org jessie Release.gpg                               
OK   http://ftp.de.debian.org jessie Release                                
Holen: 1 http://ftp.debian.org jessie-backports InRelease [166 kB]         
OK   http://security.debian.org jessie/updates/main Sources                    
OK   http://security.debian.org jessie/updates/main amd64 Packages
OK   http://security.debian.org jessie/updates/main Translation-en
Holen: 2 http://ftp.de.debian.org jessie-updates/main amd64 Packages/DiffIndex [3.472 B]
Holen: 3 http://ftp.de.debian.org jessie-updates/main Translation-en/DiffIndex [1.720 B]
OK   http://ftp.de.debian.org jessie-updates/main Sources                      
OK   http://ftp.de.debian.org jessie/main Sources                 
Holen: 4 http://ftp.debian.org jessie-backports/main Translation-en [358 kB]
OK   http://ftp.de.debian.org jessie/main amd64 Packages                      
OK   http://ftp.de.debian.org jessie/main Translation-de_DE                   
OK   http://ftp.de.debian.org jessie/main Translation-de
OK   http://ftp.de.debian.org jessie/main Translation-en
Holen: 5 http://ftp.debian.org jessie-backports/main amd64 Packages [520 kB]
Es wurden 1.049 kB in 2 s geholt (379 kB/s).                                  
Paketlisten werden gelesen... Fertig
root@debian:/home/medemirt# apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libasn1-8-heimdal libgssapi3-heimdal libhcrypto4-heimdal
  libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal
  libkrb5-26-heimdal libroken18-heimdal libwind0-heimdal
Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
Fertig
Die folgenden Pakete werden aktualisiert (Upgrade):
  iceweasel imagemagick imagemagick-6.q16 imagemagick-common libarchive13
  libgd3 libidn11 libimage-magick-perl libimage-magick-q16-perl libjansson4
  libldb1 libmagick++-6.q16-5 libmagickcore-6.q16-2
  libmagickcore-6.q16-2-extra libmagickwand-6.q16-2 libndp0 libpoppler-glib8
  libpoppler46 libservlet2.5-java libsmbclient libssl1.0.0 libtalloc2
  libtasn1-6 libtdb1 libtevent0 libwbclient0 linux-compiler-gcc-4.8-x86
  linux-headers-3.16.0-4-amd64 linux-headers-3.16.0-4-common
  linux-image-3.16.0-4-amd64 linux-libc-dev openjdk-7-jre
  openjdk-7-jre-headless openssh-client openssh-server openssh-sftp-server
  openssl perlmagick poppler-utils python-talloc samba-libs tzdata tzdata-java
43 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen 134 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 9.534 kB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] j
Holen: 1 http://security.debian.org/ jessie/updates/main libssl1.0.0 amd64 1.0.1k-3+deb8u5 [1.038 kB]
Holen: 2 http://ftp.de.debian.org/debian/ jessie-updates/main linux-image-3.16.0-4-amd64 amd64 3.16.7-ckt25-2 [33,9 MB]
Holen: 3 http://security.debian.org/ jessie/updates/main libidn11 amd64 1.29-1+deb8u1 [136 kB]
Holen: 4 http://security.debian.org/ jessie/updates/main libtasn1-6 amd64 4.2-3+deb8u2 [49,0 kB]
Holen: 5 http://security.debian.org/ jessie/updates/main libmagickwand-6.q16-2 amd64 8:6.8.9.9-5+deb8u2 [404 kB]
Holen: 6 http://security.debian.org/ jessie/updates/main libmagickcore-6.q16-2 amd64 8:6.8.9.9-5+deb8u2 [1.685 kB]
Holen: 7 http://security.debian.org/ jessie/updates/main imagemagick-common all 8:6.8.9.9-5+deb8u2 [149 kB]
Holen: 8 http://security.debian.org/ jessie/updates/main libarchive13 amd64 3.1.2-11+deb8u1 [269 kB]
Holen: 9 http://security.debian.org/ jessie/updates/main libgd3 amd64 2.1.0-5+deb8u1 [147 kB]
Holen: 10 http://security.debian.org/ jessie/updates/main libjansson4 amd64 2.7-1+deb8u1 [34,1 kB]
Holen: 11 http://security.debian.org/ jessie/updates/main libwbclient0 amd64 2:4.2.10+dfsg-0+deb8u2 [119 kB]
Holen: 12 http://security.debian.org/ jessie/updates/main libtalloc2 amd64 2.1.2-0+deb8u1 [37,0 kB]
Holen: 13 http://security.debian.org/ jessie/updates/main libsmbclient amd64 2:4.2.10+dfsg-0+deb8u2 [145 kB]
Holen: 14 http://security.debian.org/ jessie/updates/main libtdb1 amd64 1.3.6-0+deb8u1 [42,6 kB]
Holen: 15 http://security.debian.org/ jessie/updates/main libtevent0 amd64 0.9.25-0+deb8u1 [26,3 kB]
Holen: 16 http://security.debian.org/ jessie/updates/main python-talloc amd64 2.1.2-0+deb8u1 [10,4 kB]
Holen: 17 http://security.debian.org/ jessie/updates/main samba-libs amd64 2:4.2.10+dfsg-0+deb8u2 [5.098 kB]
Holen: 18 http://security.debian.org/ jessie/updates/main libldb1 amd64 2:1.1.20-0+deb8u1 [111 kB]
Holen: 19 http://security.debian.org/ jessie/updates/main libmagick++-6.q16-5 amd64 8:6.8.9.9-5+deb8u2 [254 kB]
Holen: 20 http://security.debian.org/ jessie/updates/main libndp0 amd64 1.4-2+deb8u1 [10,8 kB]
Holen: 21 http://security.debian.org/ jessie/updates/main libpoppler46 amd64 0.26.5-2+deb8u1 [1.211 kB]
Holen: 22 http://security.debian.org/ jessie/updates/main libpoppler-glib8 amd64 0.26.5-2+deb8u1 [121 kB]
Holen: 23 http://security.debian.org/ jessie/updates/main openjdk-7-jre amd64 7u101-2.6.6-1~deb8u1 [176 kB]
Holen: 24 http://security.debian.org/ jessie/updates/main openjdk-7-jre-headless amd64 7u101-2.6.6-1~deb8u1 [39,3 MB]
Holen: 25 http://ftp.de.debian.org/debian/ jessie-updates/main tzdata-java all 2016d-0+deb8u1 [81,5 kB]
Holen: 26 http://ftp.de.debian.org/debian/ jessie-updates/main tzdata all 2016d-0+deb8u1 [185 kB]
Holen: 27 http://ftp.de.debian.org/debian/ jessie-updates/main linux-compiler-gcc-4.8-x86 amd64 3.16.7-ckt25-2 [323 kB]
Holen: 28 http://ftp.de.debian.org/debian/ jessie-updates/main linux-headers-3.16.0-4-amd64 amd64 3.16.7-ckt25-2 [450 kB]
Holen: 29 http://ftp.de.debian.org/debian/ jessie-updates/main linux-headers-3.16.0-4-common amd64 3.16.7-ckt25-2 [4.519 kB]
Holen: 30 http://ftp.de.debian.org/debian/ jessie-updates/main linux-libc-dev amd64 3.16.7-ckt25-2 [1.023 kB]
Holen: 31 http://security.debian.org/ jessie/updates/main openssh-sftp-server amd64 1:6.7p1-5+deb8u2 [37,9 kB]
Holen: 32 http://security.debian.org/ jessie/updates/main openssh-server amd64 1:6.7p1-5+deb8u2 [331 kB]
Holen: 33 http://security.debian.org/ jessie/updates/main openssh-client amd64 1:6.7p1-5+deb8u2 [691 kB]
Holen: 34 http://security.debian.org/ jessie/updates/main iceweasel amd64 38.8.0esr-1~deb8u1 [39,4 MB]
Holen: 35 http://security.debian.org/ jessie/updates/main imagemagick amd64 8:6.8.9.9-5+deb8u2 [156 kB]
Holen: 36 http://security.debian.org/ jessie/updates/main imagemagick-6.q16 amd64 8:6.8.9.9-5+deb8u2 [509 kB]
Holen: 37 http://security.debian.org/ jessie/updates/main libimage-magick-q16-perl amd64 8:6.8.9.9-5+deb8u2 [221 kB]
Holen: 38 http://security.debian.org/ jessie/updates/main libimage-magick-perl all 8:6.8.9.9-5+deb8u2 [174 kB]
Holen: 39 http://security.debian.org/ jessie/updates/main libmagickcore-6.q16-2-extra amd64 8:6.8.9.9-5+deb8u2 [171 kB]
Holen: 40 http://security.debian.org/ jessie/updates/main libservlet2.5-java all 6.0.45+dfsg-1~deb8u1 [220 kB]
Holen: 41 http://security.debian.org/ jessie/updates/main openssl amd64 1.0.1k-3+deb8u5 [677 kB]
Holen: 42 http://security.debian.org/ jessie/updates/main perlmagick all 8:6.8.9.9-5+deb8u2 [122 kB]
Holen: 43 http://security.debian.org/ jessie/updates/main poppler-utils amd64 0.26.5-2+deb8u1 [140 kB]
Es wurden 134 MB in 8 s geholt (15,8 MB/s).                                    
Lese Changelogs... Fertig
apt-listchanges: Sende E-Mail an root: apt-listchanges: Neuigkeiten für debian
Extrahiere Vorlagen aus Paketen: 100%
Vorkonfiguration der Pakete ...
(Lese Datenbank ... 153416 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../libssl1.0.0_1.0.1k-3+deb8u5_amd64.deb ...
Entpacken von libssl1.0.0:amd64 (1.0.1k-3+deb8u5) über (1.0.1k-3+deb8u4) ...
Vorbereitung zum Entpacken von .../libidn11_1.29-1+deb8u1_amd64.deb ...
Entpacken von libidn11:amd64 (1.29-1+deb8u1) über (1.29-1+b2) ...
Vorbereitung zum Entpacken von .../libtasn1-6_4.2-3+deb8u2_amd64.deb ...
Entpacken von libtasn1-6:amd64 (4.2-3+deb8u2) über (4.2-3+deb8u1) ...
Vorbereitung zum Entpacken von .../libmagickwand-6.q16-2_8%3a6.8.9.9-5+deb8u2_amd64.deb ...
Entpacken von libmagickwand-6.q16-2:amd64 (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../libmagickcore-6.q16-2_8%3a6.8.9.9-5+deb8u2_amd64.deb ...
Entpacken von libmagickcore-6.q16-2:amd64 (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../imagemagick-common_8%3a6.8.9.9-5+deb8u2_all.deb ...
Entpacken von imagemagick-common (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../libarchive13_3.1.2-11+deb8u1_amd64.deb ...
Entpacken von libarchive13:amd64 (3.1.2-11+deb8u1) über (3.1.2-11) ...
Vorbereitung zum Entpacken von .../libgd3_2.1.0-5+deb8u1_amd64.deb ...
Entpacken von libgd3:amd64 (2.1.0-5+deb8u1) über (2.1.0-5) ...
Vorbereitung zum Entpacken von .../libjansson4_2.7-1+deb8u1_amd64.deb ...
Entpacken von libjansson4:amd64 (2.7-1+deb8u1) über (2.7-1) ...
Vorbereitung zum Entpacken von .../libwbclient0_2%3a4.2.10+dfsg-0+deb8u2_amd64.deb ...
Entpacken von libwbclient0:amd64 (2:4.2.10+dfsg-0+deb8u2) über (2:4.1.17+dfsg-2+deb8u2) ...
Vorbereitung zum Entpacken von .../libtalloc2_2.1.2-0+deb8u1_amd64.deb ...
Entpacken von libtalloc2:amd64 (2.1.2-0+deb8u1) über (2.1.1-2) ...
Vorbereitung zum Entpacken von .../libsmbclient_2%3a4.2.10+dfsg-0+deb8u2_amd64.deb ...
Entpacken von libsmbclient:amd64 (2:4.2.10+dfsg-0+deb8u2) über (2:4.1.17+dfsg-2+deb8u2) ...
Vorbereitung zum Entpacken von .../libtdb1_1.3.6-0+deb8u1_amd64.deb ...
Entpacken von libtdb1:amd64 (1.3.6-0+deb8u1) über (1.3.1-1) ...
Vorbereitung zum Entpacken von .../libtevent0_0.9.25-0+deb8u1_amd64.deb ...
Entpacken von libtevent0:amd64 (0.9.25-0+deb8u1) über (0.9.21-1) ...
Vorbereitung zum Entpacken von .../python-talloc_2.1.2-0+deb8u1_amd64.deb ...
Entpacken von python-talloc (2.1.2-0+deb8u1) über (2.1.1-2) ...
Vorbereitung zum Entpacken von .../samba-libs_2%3a4.2.10+dfsg-0+deb8u2_amd64.deb ...
Entpacken von samba-libs:amd64 (2:4.2.10+dfsg-0+deb8u2) über (2:4.1.17+dfsg-2+deb8u2) ...
Vorbereitung zum Entpacken von .../libldb1_2%3a1.1.20-0+deb8u1_amd64.deb ...
Entpacken von libldb1:amd64 (2:1.1.20-0+deb8u1) über (2:1.1.17-2+deb8u1) ...
Vorbereitung zum Entpacken von .../libmagick++-6.q16-5_8%3a6.8.9.9-5+deb8u2_amd64.deb ...
Entpacken von libmagick++-6.q16-5:amd64 (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../libndp0_1.4-2+deb8u1_amd64.deb ...
Entpacken von libndp0:amd64 (1.4-2+deb8u1) über (1.4-2) ...
Vorbereitung zum Entpacken von .../libpoppler46_0.26.5-2+deb8u1_amd64.deb ...
Entpacken von libpoppler46:amd64 (0.26.5-2+deb8u1) über (0.26.5-2) ...
Vorbereitung zum Entpacken von .../libpoppler-glib8_0.26.5-2+deb8u1_amd64.deb ...
Entpacken von libpoppler-glib8:amd64 (0.26.5-2+deb8u1) über (0.26.5-2) ...
Vorbereitung zum Entpacken von .../linux-image-3.16.0-4-amd64_3.16.7-ckt25-2_amd64.deb ...
Entpacken von linux-image-3.16.0-4-amd64 (3.16.7-ckt25-2) über (3.16.7-ckt25-1) ...
Vorbereitung zum Entpacken von .../openjdk-7-jre_7u101-2.6.6-1~deb8u1_amd64.deb ...
Entpacken von openjdk-7-jre:amd64 (7u101-2.6.6-1~deb8u1) über (7u95-2.6.4-1~deb8u1) ...
Vorbereitung zum Entpacken von .../tzdata-java_2016d-0+deb8u1_all.deb ...
Entpacken von tzdata-java (2016d-0+deb8u1) über (2016c-0+deb8u1) ...
Vorbereitung zum Entpacken von .../tzdata_2016d-0+deb8u1_all.deb ...
Entpacken von tzdata (2016d-0+deb8u1) über (2016c-0+deb8u1) ...
Trigger für man-db (2.7.0.2-5) werden verarbeitet ...
Trigger für hicolor-icon-theme (0.13-1) werden verarbeitet ...
Trigger für desktop-file-utils (0.22-1) werden verarbeitet ...
Trigger für gnome-menus (3.13.3-6) werden verarbeitet ...
Trigger für mime-support (3.58) werden verarbeitet ...
tzdata (2016d-0+deb8u1) wird eingerichtet ...

Current default time zone: 'Europe/Berlin'
Local time is now:      Tue May 17 16:41:54 CEST 2016.
Universal Time is now:  Tue May 17 14:41:54 UTC 2016.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

(Lese Datenbank ... 153451 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../openjdk-7-jre-headless_7u101-2.6.6-1~deb8u1_amd64.deb ...
Entpacken von openjdk-7-jre-headless:amd64 (7u101-2.6.6-1~deb8u1) über (7u95-2.6.4-1~deb8u1) ...
Vorbereitung zum Entpacken von .../openssh-sftp-server_1%3a6.7p1-5+deb8u2_amd64.deb ...
Entpacken von openssh-sftp-server (1:6.7p1-5+deb8u2) über (1:6.7p1-5+deb8u1) ...
Vorbereitung zum Entpacken von .../openssh-server_1%3a6.7p1-5+deb8u2_amd64.deb ...
Entpacken von openssh-server (1:6.7p1-5+deb8u2) über (1:6.7p1-5+deb8u1) ...
Vorbereitung zum Entpacken von .../openssh-client_1%3a6.7p1-5+deb8u2_amd64.deb ...
Entpacken von openssh-client (1:6.7p1-5+deb8u2) über (1:6.7p1-5+deb8u1) ...
Vorbereitung zum Entpacken von .../iceweasel_38.8.0esr-1~deb8u1_amd64.deb ...
»Umleitung von /usr/bin/firefox zu /usr/bin/firefox.real durch iceweasel« wird beibehalten
Entpacken von iceweasel (38.8.0esr-1~deb8u1) über (38.7.1esr-1~deb8u1) ...
Vorbereitung zum Entpacken von .../imagemagick_8%3a6.8.9.9-5+deb8u2_amd64.deb ...
Entpacken von imagemagick (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../imagemagick-6.q16_8%3a6.8.9.9-5+deb8u2_amd64.deb ...
Entpacken von imagemagick-6.q16 (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../libimage-magick-q16-perl_8%3a6.8.9.9-5+deb8u2_amd64.deb ...
Entpacken von libimage-magick-q16-perl (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../libimage-magick-perl_8%3a6.8.9.9-5+deb8u2_all.deb ...
Entpacken von libimage-magick-perl (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../libmagickcore-6.q16-2-extra_8%3a6.8.9.9-5+deb8u2_amd64.deb ...
Entpacken von libmagickcore-6.q16-2-extra:amd64 (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../libservlet2.5-java_6.0.45+dfsg-1~deb8u1_all.deb ...
Entpacken von libservlet2.5-java (6.0.45+dfsg-1~deb8u1) über (6.0.41-3) ...
Vorbereitung zum Entpacken von .../linux-compiler-gcc-4.8-x86_3.16.7-ckt25-2_amd64.deb ...
Entpacken von linux-compiler-gcc-4.8-x86 (3.16.7-ckt25-2) über (3.16.7-ckt25-1) ...
Vorbereitung zum Entpacken von .../linux-headers-3.16.0-4-amd64_3.16.7-ckt25-2_amd64.deb ...
Entpacken von linux-headers-3.16.0-4-amd64 (3.16.7-ckt25-2) über (3.16.7-ckt25-1) ...
Vorbereitung zum Entpacken von .../linux-headers-3.16.0-4-common_3.16.7-ckt25-2_amd64.deb ...
Entpacken von linux-headers-3.16.0-4-common (3.16.7-ckt25-2) über (3.16.7-ckt25-1) ...
Vorbereitung zum Entpacken von .../linux-libc-dev_3.16.7-ckt25-2_amd64.deb ...
Entpacken von linux-libc-dev:amd64 (3.16.7-ckt25-2) über (3.16.7-ckt25-1) ...
Vorbereitung zum Entpacken von .../openssl_1.0.1k-3+deb8u5_amd64.deb ...
Entpacken von openssl (1.0.1k-3+deb8u5) über (1.0.1k-3+deb8u4) ...
Vorbereitung zum Entpacken von .../perlmagick_8%3a6.8.9.9-5+deb8u2_all.deb ...
Entpacken von perlmagick (8:6.8.9.9-5+deb8u2) über (8:6.8.9.9-5+deb8u1) ...
Vorbereitung zum Entpacken von .../poppler-utils_0.26.5-2+deb8u1_amd64.deb ...
Entpacken von poppler-utils (0.26.5-2+deb8u1) über (0.26.5-2) ...
Trigger für man-db (2.7.0.2-5) werden verarbeitet ...
Trigger für systemd (215-17+deb8u4) werden verarbeitet ...
Trigger für mime-support (3.58) werden verarbeitet ...
Trigger für desktop-file-utils (0.22-1) werden verarbeitet ...
Trigger für gnome-menus (3.13.3-6) werden verarbeitet ...
Trigger für hicolor-icon-theme (0.13-1) werden verarbeitet ...
Trigger für menu (2.1.47) werden verarbeitet ...
libssl1.0.0:amd64 (1.0.1k-3+deb8u5) wird eingerichtet ...
libidn11:amd64 (1.29-1+deb8u1) wird eingerichtet ...
libtasn1-6:amd64 (4.2-3+deb8u2) wird eingerichtet ...
imagemagick-common (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
Neue Version der Konfigurationsdatei /etc/ImageMagick-6/delegates.xml wird installiert ...
Neue Version der Konfigurationsdatei /etc/ImageMagick-6/policy.xml wird installiert ...
libmagickcore-6.q16-2:amd64 (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
libmagickwand-6.q16-2:amd64 (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
libarchive13:amd64 (3.1.2-11+deb8u1) wird eingerichtet ...
libgd3:amd64 (2.1.0-5+deb8u1) wird eingerichtet ...
libjansson4:amd64 (2.7-1+deb8u1) wird eingerichtet ...
libwbclient0:amd64 (2:4.2.10+dfsg-0+deb8u2) wird eingerichtet ...
libtalloc2:amd64 (2.1.2-0+deb8u1) wird eingerichtet ...
libtdb1:amd64 (1.3.6-0+deb8u1) wird eingerichtet ...
libtevent0:amd64 (0.9.25-0+deb8u1) wird eingerichtet ...
libldb1:amd64 (2:1.1.20-0+deb8u1) wird eingerichtet ...
python-talloc (2.1.2-0+deb8u1) wird eingerichtet ...
samba-libs:amd64 (2:4.2.10+dfsg-0+deb8u2) wird eingerichtet ...
libsmbclient:amd64 (2:4.2.10+dfsg-0+deb8u2) wird eingerichtet ...
libmagick++-6.q16-5:amd64 (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
libndp0:amd64 (1.4-2+deb8u1) wird eingerichtet ...
libpoppler46:amd64 (0.26.5-2+deb8u1) wird eingerichtet ...
libpoppler-glib8:amd64 (0.26.5-2+deb8u1) wird eingerichtet ...
linux-image-3.16.0-4-amd64 (3.16.7-ckt25-2) wird eingerichtet ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-3.16.0-4-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8402-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8105e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Linux-Abbild gefunden: /boot/vmlinuz-3.16.0-4-amd64
initrd-Abbild gefunden: /boot/initrd.img-3.16.0-4-amd64
Found memtest86+ image: /boot/memtest86+.bin
Found memtest86+ multiboot image: /boot/memtest86+_multiboot.bin
erledigt
tzdata-java (2016d-0+deb8u1) wird eingerichtet ...
openjdk-7-jre-headless:amd64 (7u101-2.6.6-1~deb8u1) wird eingerichtet ...
Neue Version der Konfigurationsdatei /etc/java-7-openjdk/management/management.properties wird installiert ...
openjdk-7-jre:amd64 (7u101-2.6.6-1~deb8u1) wird eingerichtet ...
openssh-client (1:6.7p1-5+deb8u2) wird eingerichtet ...
openssh-sftp-server (1:6.7p1-5+deb8u2) wird eingerichtet ...
openssh-server (1:6.7p1-5+deb8u2) wird eingerichtet ...
iceweasel (38.8.0esr-1~deb8u1) wird eingerichtet ...
imagemagick-6.q16 (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
imagemagick (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
libimage-magick-q16-perl (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
libimage-magick-perl (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
libmagickcore-6.q16-2-extra:amd64 (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
libservlet2.5-java (6.0.45+dfsg-1~deb8u1) wird eingerichtet ...
linux-compiler-gcc-4.8-x86 (3.16.7-ckt25-2) wird eingerichtet ...
linux-headers-3.16.0-4-common (3.16.7-ckt25-2) wird eingerichtet ...
linux-headers-3.16.0-4-amd64 (3.16.7-ckt25-2) wird eingerichtet ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.16.0-4-amd64
linux-libc-dev:amd64 (3.16.7-ckt25-2) wird eingerichtet ...
openssl (1.0.1k-3+deb8u5) wird eingerichtet ...
perlmagick (8:6.8.9.9-5+deb8u2) wird eingerichtet ...
poppler-utils (0.26.5-2+deb8u1) wird eingerichtet ...
Trigger für libc-bin (2.19-18+deb8u4) werden verarbeitet ...
Trigger für menu (2.1.47) werden verarbeitet ...
root@debian:/home/medemirt# apt-get install iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
E: Paket iwlwifi kann nicht gefunden werden.
root@debian:/home/medemirt# apt-get install firmware-iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Package firmware-iwlwifi is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'firmware-iwlwifi' has no installation candidate
root@debian:/home/medemirt# apt -t jessie-backports install linux-image-amd64
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libasn1-8-heimdal libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
  libheimntlm0-heimdal libhx509-5-heimdal libkrb5-26-heimdal libroken18-heimdal libwind0-heimdal
Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  linux-image-4.5.0-0.bpo.1-amd64
Vorgeschlagene Pakete:
  linux-doc-4.5 debian-kernel-handbook
Die folgenden NEUEN Pakete werden installiert:
  linux-image-4.5.0-0.bpo.1-amd64
Die folgenden Pakete werden aktualisiert (Upgrade):
  linux-image-amd64
1 aktualisiert, 1 neu installiert, 0 zu entfernen und 99 nicht aktualisiert.
Es müssen 36,4 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 175 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
Holen: 1 http://ftp.debian.org/debian/ jessie-backports/main linux-image-4.5.0-0.bpo.1-amd64 amd64 4.5.1-1~bpo8+1 [36,4 MB]
Holen: 2 http://ftp.debian.org/debian/ jessie-backports/main linux-image-amd64 amd64 4.5+72~bpo8+1 [6.362 B]
Es wurden 36,4 MB in 3 s geholt (11,6 MB/s).   
Lese Changelogs... Fertig
Vorkonfiguration der Pakete ...
Vormals nicht ausgewähltes Paket linux-image-4.5.0-0.bpo.1-amd64 wird gewählt.
(Lese Datenbank ... 153450 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../linux-image-4.5.0-0.bpo.1-amd64_4.5.1-1~bpo8+1_amd64.deb ...
Entpacken von linux-image-4.5.0-0.bpo.1-amd64 (4.5.1-1~bpo8+1) ...
Vorbereitung zum Entpacken von .../linux-image-amd64_4.5+72~bpo8+1_amd64.deb ...
Entpacken von linux-image-amd64 (4.5+72~bpo8+1) über (3.16+63) ...
linux-image-4.5.0-0.bpo.1-amd64 (4.5.1-1~bpo8+1) wird eingerichtet ...
/etc/kernel/postinst.d/dkms:
Error! Your kernel headers for kernel 4.5.0-0.bpo.1-amd64 cannot be found.
Please install the linux-headers-4.5.0-0.bpo.1-amd64 package,
or use the --kernelsourcedir option to tell DKMS where it's located
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.5.0-0.bpo.1-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8402-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8105e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169
W: Possible missing firmware /lib/firmware/i915/bxt_dmc_ver1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_dmc_ver1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_ver4.bin for module i915
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Linux-Abbild gefunden: /boot/vmlinuz-4.5.0-0.bpo.1-amd64
initrd-Abbild gefunden: /boot/initrd.img-4.5.0-0.bpo.1-amd64
Linux-Abbild gefunden: /boot/vmlinuz-3.16.0-4-amd64
initrd-Abbild gefunden: /boot/initrd.img-3.16.0-4-amd64
Found memtest86+ image: /boot/memtest86+.bin
Found memtest86+ multiboot image: /boot/memtest86+_multiboot.bin
erledigt
linux-image-amd64 (4.5+72~bpo8+1) wird eingerichtet ...
Dann nochmals

Code: Alles auswählen

root@debian:/home/medemirt# apt-get install firmware-iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Package firmware-iwlwifi is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'firmware-iwlwifi' has no installation candidate
root@debian:/home/medemirt# 
Ein ein Neustart folgte, jedoch bleibt jetzt das System beim Bootvorgang nun haengen. Es bleibt bei einem schwarzen Bild mit einem _ Kann aber nichts eintragen.
Lenny!

NAB
Beiträge: 4645
Registriert: 06.03.2011 16:02:23
Lizenz eigener Beiträge: MIT Lizenz

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von NAB » 17.05.2016 21:42:59

Es wäre jetzt hilfreich, deine sources.list zu kennen, aber ich vermute, dir fehlt nur irgendwo der Bereich "contrib" und "non-free".
Zur Erklärung siehe hier:
https://wiki.debianforum.de/Sources.list

Und ich vermute, mit dem 3.16er Kernel kannst du noch booten?

Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 17.05.2016 22:57:44

Code: Alles auswählen

# 

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02]/ jessie main

deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02]/ jessie main

deb http://ftp.de.debian.org/debian/ jessie main
deb-src http://ftp.de.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main

# jessie-updates, previously known as 'volatile'
deb http://ftp.de.debian.org/debian/ jessie-updates main
deb-src http://ftp.de.debian.org/debian/ jessie-updates main

deb http://ftp.debian.org/debian jessie-backports main
Ja in den 3.16er komme ich rein. Hier habe ich den zeilen contrib und non-free hinzugefügt. apt-update und apt-upgrade ausgeführt.
Danach nochmals die Befehle zum installieren des Treibermoduls. Weiterhin komme ich nicht rein. Weils so schnell geht installiere ich mal eben neu.
Zuletzt geändert von Xpl0iT am 17.05.2016 23:11:59, insgesamt 1-mal geändert.
Lenny!

NAB
Beiträge: 4645
Registriert: 06.03.2011 16:02:23
Lizenz eigener Beiträge: MIT Lizenz

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von NAB » 17.05.2016 23:09:30

Ja ... die Firmware ist im non-free Bereich. Und der fehlt in deiner sources.list, wie vermutet.

Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 17.05.2016 23:12:43

Inwiefern hängt das mit dem hängenbleiben zusammen? Beitrag ist mittlerweile editiert!
Lenny!

NAB
Beiträge: 4645
Registriert: 06.03.2011 16:02:23
Lizenz eigener Beiträge: MIT Lizenz

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von NAB » 17.05.2016 23:20:51

Xpl0iT hat geschrieben:Inwiefern hängt das mit dem hängenbleiben zusammen?
Das hängt gar nicht zusammen.

Oben drüber steht, du möchtest deine WLan-Karte zum Laufen kriegen und die braucht Firmware. Deine Installationsversuche sind bisher gescheitert, weil contrib und non-free fehlten.

Warum der Kernel 4.5 nicht bootet, ist eine völlig andere Baustelle. Ich hab oben noch einen Fehler gesehen, dass du die Kernel-Header nicht installieren konntest, den hab ich mir aber noch nicht näher angeguckt. Außerdem würd ich da gerne mal abwarten, was towo dazu zu sagen hat, ich hab Kernel 4.5 nämlich noch gar nicht ausprobiert.

Aber wenn du eh gerade neu installierst ... bitte erst contrib und non-free eintragen, dann die Firmware installieren ... und dann mal mit den Backports experimentieren.

Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 18.05.2016 00:52:57

habe contrib non-free hinzugefügt und die Firmware installert. Installiert zwar aber ein WLAN vorhanden.
habe jessie-backports der sources list hinzugefügt. Weiterhin kein Erfolg.
Habe dann

Code: Alles auswählen

apt -t jessie-backports install linux-image-amd64
ausgeführt.
Danach bleibt das System beim Booten hängen. Komme jedoch in den 3er Kernel.

Mittlerweile debian wieder neuinstalliert. contrib non-free hinzugefügt und firmware-iwlwifi installiert.
modprobe -r iwlwifi; modprobe iwlwifi ausgefüht.

Immernoch kein Wlan.
Lenny!

NAB
Beiträge: 4645
Registriert: 06.03.2011 16:02:23
Lizenz eigener Beiträge: MIT Lizenz

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von NAB » 18.05.2016 02:33:24

Guggst du mal erste Link von rendegast, siehst du, es gibt zwei Versionen von "firmware-iwlwifi". Einmal jessie, einmal jessie-backports.

Guggst du mal Ausgabe von neue Kernel:
W: Possible missing firmware /lib/firmware/i915/bxt_dmc_ver1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_dmc_ver1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_ver4.bin for module i915
Deine Grafik hätte auch gerne Firmware. Die steckt in Debianfirmware-misc-nonfree

Xpl0iT
Beiträge: 43
Registriert: 08.11.2009 20:11:28

Re: WLAN Treiber für Intel Dual Band Wireless AC 3165

Beitrag von Xpl0iT » 18.05.2016 02:58:33

Code: Alles auswählen

# 

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02]/ jessie main

deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160402-22:02]/ jessie main

deb http://ftp.de.debian.org/debian/ jessie main
deb-src http://ftp.de.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main

# jessie-updates, previously known as 'volatile'
deb http://ftp.de.debian.org/debian/ jessie-updates main
deb-src http://ftp.de.debian.org/debian/ jessie-updates main

deb http://httpredir.debian.org/debian/ jessie main contrib non-free

# Backports-Paketquelle
deb http://ftp.debian.org/debian jessie-backports main contrib non-free

Code: Alles auswählen

root@debian:/home/medemirt# apt -t jessie-backports install firmware-iwlwifi
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
firmware-iwlwifi ist schon die neueste Version.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 142 nicht aktualisiert.
root@debian:/home/medemirt# 

Code: Alles auswählen

root@debian:/home/medemirt# apt -t jessie-backports install firmware-misc-nonfree
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden NEUEN Pakete werden installiert:
  firmware-misc-nonfree
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 142 nicht aktualisiert.
Es müssen 2.057 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 6.639 kB Plattenplatz zusätzlich benutzt.
Holen: 1 http://ftp.debian.org/debian/ jessie-backports/non-free firmware-misc-nonfree all 20160110-1~bpo8+1 [2.057 kB]
Es wurden 2.057 kB in 0 s geholt (4.648 kB/s).  
Vormals nicht ausgewähltes Paket firmware-misc-nonfree wird gewählt.
(Lese Datenbank ... 153468 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../firmware-misc-nonfree_20160110-1~bpo8+1_all.deb ...
Entpacken von firmware-misc-nonfree (20160110-1~bpo8+1) ...
firmware-misc-nonfree (20160110-1~bpo8+1) wird eingerichtet ...
update-initramfs: deferring update (trigger activated)
Trigger für initramfs-tools (0.120+deb8u1) werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-3.16.0-4-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8402-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8105e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169
root@debian:/home/medemirt# 
Danach ein Neustart. Weiterhin kein Wlan.

Wie sähe eine manuelle installation über den Treiber auf der Intel Seite aus
Unter Package: firmware-iwlwifi ist der 3165 sowieso nicht aufgelistet.
Zuletzt geändert von Xpl0iT am 18.05.2016 03:30:10, insgesamt 1-mal geändert.
Lenny!

Antworten